=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
XS-Python-Version: all
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 11~),
               dh-python,
               dpkg-dev (>= 1.16.1.1),
               python-all-dev,
               at-spi2-core,
               cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               dbus-test-runner,
               xvfb,
               valac,
               mate-common,
               mono-devel (>= 2.4.3) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-dev (>= 2.12.0),
               python-gtk2-dev,
               procps,
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libdbus-glib-1-dev (>= 0.82),
               libayatana-indicator-dev (>= 0.6.0-0~),
               libayatana-indicator3-dev (>= 0.6.0-0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libgirepository1.0-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git

Package: python-ayatana-appindicator
Section: python
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libayatana-appindicator1 (= ${binary:Version}),
         python-gobject-2,
Provides: ${python:Provides},
Description: Python bindings for libayatana-appindicator (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package provides Python (v2) bindings against python-gtk2 so that
 you can use libayatana-appindicator from a Python program.

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libgtk-3-dev,
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator3-1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Application Indicators for Mono
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.
