## libayatana-appindicator 0.5.3-3%2B8.0trisquel1

=== debian/changelog ===
libayatana-appindicator (0.5.3-3+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 16:16:18 +0000
