=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                dpkg-dev (>= 1.16.1.1),
                python-all-dev,
