=== debian/rules ===
--- 
+++ 
@@ -79,18 +79,6 @@
 	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
 	fi
 
-	dh_missing -ppython-ayatana-appindicator --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
-	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
-	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
-	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
-	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
-	fi
 
 override_dh_auto_test: $(FLAVORS:%=dotest-%)
