## libayatana-appindicator 0.5.4

=== debian/changelog ===
libayatana-appindicator (0.5.4-2) unstable; urgency=medium

  * debian/rules:
    + Stop using pyversions. Drop concept of Py2.x specific GTK-2 builds.
      (Closes: #949179).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jan 2020 11:44:35 +0100

libayatana-appindicator (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 12.
  * debian/{control,rules,*}:
    + Drop Python2 bindings support. Drop bin:pkg python-ayatana-appindicator.
      (Closes: #912959, #936843).
  * debian/patches:
    + Add 2002_drop-python2-code.patch: Don't build anything Python2 related.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/libayatana-appindicator*.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Nov 2019 20:13:44 +0100

libayatana-appindicator (0.5.3-4) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:18:49 +0200
