=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10~),
-               dh-python,
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
-               python-all-dev,
                at-spi2-core,
                cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                gobject-introspection,
@@ -24,7 +22,6 @@
                libglib2.0-dev (>= 2.35.4),
                libgtk-3-dev (>= 2.91.3),
                libgtk2.0-dev (>= 2.12.0),
-               python-gtk2-dev,
                procps,
                gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
@@ -35,27 +32,11 @@
                libdbusmenu-gtk-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                libgirepository1.0-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libayatana-appindicator.git
-
-Package: python-ayatana-appindicator
-Section: python
-Architecture: any
-XB-Python-Version: ${python:Versions}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         libayatana-appindicator1 (= ${binary:Version}),
-         python-gobject-2,
-Provides: ${python:Provides},
-Description: Python bindings for libayatana-appindicator (GTK-2+ version)
- A library and indicator to take menus from applications and place them in
- the panel.
- .
- This package provides Python (v2) bindings against python-gtk2 so that
- you can use libayatana-appindicator from a Python program.
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-appindicator
 
 Package: libayatana-appindicator1
 Architecture: any
