## libayatana-appindicator 0.5.5

=== debian/changelog ===
libayatana-appindicator (0.5.5-2) unstable; urgency=medium

  * debian/rules:
    + Clean up some files, that upstream should handle, in fact.
    + Run gtk-doc during GTK-3 builds (not GTK-2).
    + Fix arch:all-only builds (dpkg-buildpackage -A).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 20:06:13 +0000

libayatana-appindicator (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2002_drop-python2-code.patch. Resolved upstream.
  * debian/control:
    + Improve description of bin:pkg libayatana-appindicator0.1-cil-dev.
    + Fix version of B-D cli-common-dev ( (>= 0.5.7)  --> (>= 0.8~) ).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
    + Drop D libdbus-glib-1-dev from libayatana-appindicator-dev and
      libayatana-appindicator3-dev. (Closes: #954105).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 07:32:42 +0200
