=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                at-spi2-core,
-               cli-common-dev (>= 0.5.7) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
+               cli-common-dev (>= 0.8~) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
                gobject-introspection,
                intltool,
                gtk-doc-tools,
@@ -32,7 +32,7 @@
                libdbusmenu-gtk-dev (>= 0.5.90),
                libdbusmenu-gtk3-dev (>= 0.5.90),
                libgirepository1.0-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-appindicator.git
@@ -69,7 +69,6 @@
          libgtk2.0-dev,
          gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
          libdbusmenu-glib-dev (>= 0.1.8),
-         libdbus-glib-1-dev (>= 0.76),
          libayatana-appindicator1 (= ${binary:Version}),
 Description: Ayatana Application Indicators (development files, GTK-2+ version)
  A library and indicator to take menus from applications and place them in
@@ -107,7 +106,6 @@
          gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
          libgtk-3-dev,
          libdbusmenu-glib-dev (>= 0.1.8),
-         libdbus-glib-1-dev (>= 0.76),
          libayatana-appindicator3-1 (= ${binary:Version}),
 Description: Ayatana Application Indicators (development files, GTK-3+ version)
  A library and indicator to take menus from applications and place them in
@@ -147,8 +145,8 @@
          ${misc:Depends},
          ${cli:Depends},
          libayatana-appindicator0.1-cil (= ${binary:Version}),
-Description: Application Indicators for Mono
+Description: Ayatana Application Indicators for Mono
  A library and indicator to take menus from applications and place them in
  the panel.
  .
- This package contains files that are needed to build applications.
+ This package contains files that are needed to build Mono applications.
