=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 else
   dh_extra_args = ,cli
 endif
-CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc
-CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc=no
+CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc=no
+CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
@@ -44,16 +44,16 @@
 doinstall-%:
 	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*
 
-override_dh_install:
+override_dh_install-arch:
 	find debian/tmp -name \*.la -exec rm {} \;
 	find debian/tmp -name \*.a -exec rm {} \;
 	rm -rf debian/tmp/*/usr/lib/mono
 	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps
 
+
 	dh_install -plibayatana-appindicator1 --sourcedir=debian/tmp/gtk2
 	dh_install -pgir1.2-ayatanaappindicator-0.1 --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator-dev --sourcedir=debian/tmp/gtk2
-	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk2
 	dh_install -plibayatana-appindicator3-1 --sourcedir=debian/tmp/gtk3
 	dh_install -plibayatana-appindicator3-dev --sourcedir=debian/tmp/gtk3
 	dh_install -pgir1.2-ayatanaappindicator3-0.1 --sourcedir=debian/tmp/gtk3
@@ -63,10 +63,10 @@
 	    dh_install -plibayatana-appindicator0.1-cil-dev --sourcedir=debian/tmp/gtk2; \
 	fi
 
+override_dh_missing-arch:
 	dh_missing -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
-	dh_missing -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_missing -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
 	dh_missing -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
 	dh_missing -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
@@ -74,6 +74,11 @@
 	    dh_missing -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
 	    dh_missing -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
 	fi
+
+override_dh_install-indep:
+	dh_install -plibayatana-appindicator-doc --sourcedir=debian/tmp/gtk3
+
+override_dh_missing-indep:
 
 override_dh_auto_test: $(FLAVORS:%=dotest-%)
 
@@ -86,7 +91,13 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build
+	rm -rf build/
+	rm -f gtk-doc.make
+	rm -f ltmain.sh
+	rm -f m4/gtk-doc.m4
+	rm -f m4/libtool.m4
+	rm -f omf.make
+	rm -f xmldocs.make
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
